### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
PiecewiseZeroSpreadedTermStructure Class Reference
Term structures

Term structure with an added vector of spreads on the zero-yield rate. More...

`#include <ql/termstructures/yield/piecewisezerospreadedtermstructure.hpp>`

Inheritance diagram for PiecewiseZeroSpreadedTermStructure:
[legend]

List of all members.

## Public Member Functions

| PiecewiseZeroSpreadedTermStructure (const Handle< YieldTermStructure > &, const std::vector< Handle< Quote > > &spreads, const std::vector< Date > &dates, Compounding comp=Continuous, Frequency freq=NoFrequency, const DayCounter &dc=DayCounter())
YieldTermStructure interface
DayCounter | dayCounter () const
| the day counter used for date/time conversion
Natural | settlementDays () const
| the settlementDays used for reference date calculation
Calendar | calendar () const
| the calendar used for reference and/or option date calculation
const Date & | referenceDate () const
| the date at which discount = 1.0 and/or variance = 0.0
Date | maxDate () const
| the latest date for which the curve can return values

## Protected Member Functions

Rate | zeroYieldImpl (Time) const
| returns the spreaded zero yield rate
void | update ()

## Detailed Description

Term structure with an added vector of spreads on the zero-yield rate.

The zero-yield spread at any given date is linearly interpolated between the input data.

Note:
  This term structure will remain linked to the original structure, i.e., any changes in the latter will be reflected in this structure as well.

## Member Function Documentation

void update | ( |  | ) | `[protected, virtual]`

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Reimplemented from YieldTermStructure.